<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/ExternalMediaPlayer/src/ExternalMediaPlayer.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_a76b392fe5ef3dcdb4d5296d7cae461e.html">ExternalMediaPlayer</a></li><li class="navelem"><a class="el" href="dir_905cdd7d6deecb22a97b9baafb626602.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">ExternalMediaPlayer.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_external_media_player_8h_source.html">ExternalMediaPlayer/ExternalMediaPlayer.h</a>&quot;</code><br />
<code>#include &lt;rapidjson/stringbuffer.h&gt;</code><br />
<code>#include &lt;rapidjson/writer.h&gt;</code><br />
<code>#include &lt;rapidjson/error/en.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_adapter_utils_8h_source.html">AVSCommon/AVS/ExternalMediaPlayer/AdapterUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_external_media_adapter_constants_8h_source.html">AVSCommon/AVS/ExternalMediaPlayer/ExternalMediaAdapterConstants.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_speaker_constants_8h_source.html">AVSCommon/AVS/SpeakerConstants/SpeakerConstants.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_j_s_o_n_utils_8h_source.html">AVSCommon/Utils/JSON/JSONUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_memory_8h_source.html">AVSCommon/Utils/Memory/Memory.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ExternalMediaPlayer.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_external_media_player_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_external_media_player_2src_2_external_media_player_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_external_media_player_2src_2_external_media_player_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_external_media_player_2src_2_external_media_player_8cpp">
<area shape="rect" id="node2" href="_external_media_player_8h.html" title="ExternalMediaPlayer\l/ExternalMediaPlayer.h" alt="" coords="1713,119,1871,157"/>
<area shape="rect" id="node43" href="_adapter_utils_8h.html" title="AVSCommon/AVS/ExternalMedia\lPlayer/AdapterUtils.h" alt="" coords="4144,212,4363,251"/>
<area shape="rect" id="node46" href="_external_media_adapter_constants_8h.html" title="AVSCommon/AVS/ExternalMedia\lPlayer/ExternalMediaAdapterConstants.h" alt="" coords="3310,119,3576,157"/>
<area shape="rect" id="node47" href="_speaker_constants_8h.html" title="AVSCommon/AVS/SpeakerConstants\l/SpeakerConstants.h" alt="" coords="3606,119,3850,157"/>
<area shape="rect" id="node48" href="_j_s_o_n_utils_8h.html" title="AVSCommon/Utils/JSON\l/JSONUtils.h" alt="" coords="3804,212,3974,251"/>
<area shape="rect" id="node50" href="_memory_8h.html" title="AVSCommon/Utils/Memory\l/Memory.h" alt="" coords="2214,305,2397,344"/>
<area shape="rect" id="node6" href="_capability_agent_8h.html" title="AVSCommon/AVS/Capability\lAgent.h" alt="" coords="2077,212,2270,251"/>
<area shape="rect" id="node9" href="_namespace_and_name_8h.html" title="AVSCommon/AVS/NamespaceAnd\lName.h" alt="" coords="3328,479,3557,517"/>
<area shape="rect" id="node15" href="_directive_handler_configuration_8h.html" title="AVSCommon/AVS/DirectiveHandler\lConfiguration.h" alt="" coords="2922,392,3155,431"/>
<area shape="rect" id="node18" href="_capability_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilityConfigurationInterface.h" alt="" coords="1190,305,1416,344"/>
<area shape="rect" id="node21" href="_context_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextManagerInterface.h" alt="" coords="2522,305,2713,344"/>
<area shape="rect" id="node23" href="_external_media_adapter_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExternalMediaAdapterInterface.h" alt="" coords="3461,305,3681,344"/>
<area shape="rect" id="node24" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2223,392,2411,431"/>
<area shape="rect" id="node27" href="_external_media_player_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExternalMediaPlayerInterface.h" alt="" coords="529,212,740,251"/>
<area shape="rect" id="node28" href="_focus_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/FocusManagerInterface.h" alt="" coords="557,305,747,344"/>
<area shape="rect" id="node30" href="_message_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageSenderInterface.h" alt="" coords="771,305,962,344"/>
<area shape="rect" id="node31" href="_playback_handler_interface_8h.html" title="AVSCommon/SDKInterfaces\l/PlaybackHandlerInterface.h" alt="" coords="25,392,215,431"/>
<area shape="rect" id="node32" href="_playback_router_interface_8h.html" title="AVSCommon/SDKInterfaces\l/PlaybackRouterInterface.h" alt="" coords="25,305,215,344"/>
<area shape="rect" id="node34" href="_speaker_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SpeakerManagerInterface.h" alt="" coords="342,305,533,344"/>
<area shape="rect" id="node35" href="_external_media_player_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExternalMediaPlayerObserver\lInterface.h" alt="" coords="3488,205,3691,257"/>
<area shape="rect" id="node36" href="_media_player_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerInterface.h" alt="" coords="3074,212,3283,251"/>
<area shape="rect" id="node38" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="1440,305,1635,344"/>
<area shape="rect" id="node10" href="_exception_encountered_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExceptionEncounteredSenderInterface.h" alt="" coords="1925,305,2190,344"/>
<area shape="rect" id="node11" href="_channel_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ChannelObserverInterface.h" alt="" coords="729,392,922,431"/>
<area shape="rect" id="node12" href="_context_requester_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextRequesterInterface.h" alt="" coords="2653,392,2848,431"/>
<area shape="rect" id="node13" href="_state_provider_interface_8h.html" title="AVSCommon/SDKInterfaces\l/StateProviderInterface.h" alt="" coords="3281,392,3471,431"/>
<area shape="rect" id="node14" href="_directive_handler_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerInterface.h" alt="" coords="1710,305,1901,344"/>
<area shape="rect" id="node17" href="_directive_handler_result_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerResultInterface.h" alt="" coords="1359,392,1583,431"/>
<area shape="rect" id="node16" href="_blocking_policy_8h.html" title="BlockingPolicy.h" alt="" coords="2980,485,3097,511"/>
<area shape="rect" id="node20" href="_capability_configuration_8h.html" title="AVSCommon/AVS/Capability\lConfiguration.h" alt="" coords="2436,392,2628,431"/>
<area shape="rect" id="node22" href="_state_refresh_policy_8h.html" title="AVSCommon/AVS/StateRefresh\lPolicy.h" alt="" coords="1937,392,2149,431"/>
<area shape="rect" id="node33" href="_speaker_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SpeakerInterface.h" alt="" coords="329,392,519,431"/>
<area shape="rect" id="node45" href="_retry_timer_8h.html" title="AVSCommon/Utils/RetryTimer.h" alt="" coords="4078,312,4288,337"/>
<area shape="rect" id="node49" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="3704,305,3880,344"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html">alexaClientSDK::capabilityAgents::externalMediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_external_media_player_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a4df10147eb454af17af3ec1883e8994e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a4df10147eb454af17af3ec1883e8994e">alexaClientSDK::capabilityAgents::externalMediaPlayer::TAG</a> (&quot;ExternalMediaPlayer&quot;)</td></tr>
<tr class="memdesc:a4df10147eb454af17af3ec1883e8994e"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a4df10147eb454af17af3ec1883e8994e">More...</a><br /></td></tr>
<tr class="separator:a4df10147eb454af17af3ec1883e8994e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6648411464a4d29b8646434e89ed49c2"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; avsCommon::avs::CapabilityConfiguration &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a6648411464a4d29b8646434e89ed49c2">alexaClientSDK::capabilityAgents::externalMediaPlayer::getExternalMediaPlayerCapabilityConfiguration</a> ()</td></tr>
<tr class="separator:a6648411464a4d29b8646434e89ed49c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af76488d2e57483c9de98393b2d970c9d"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; CapabilityConfiguration &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#af76488d2e57483c9de98393b2d970c9d">alexaClientSDK::capabilityAgents::externalMediaPlayer::generateCapabilityConfiguration</a> (const std::string &amp;type, const std::string &amp;interface, const std::string &amp;version)</td></tr>
<tr class="separator:af76488d2e57483c9de98393b2d970c9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae6ce515b30b30422fd17e225a021ed44"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ae6ce515b30b30422fd17e225a021ed44">alexaClientSDK::capabilityAgents::externalMediaPlayer::EXTERNALMEDIAPLAYER_STATE_NAMESPACE</a> = &quot;ExternalMediaPlayer&quot;</td></tr>
<tr class="separator:ae6ce515b30b30422fd17e225a021ed44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0601172912cdfd2ab5382ec95375141"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ab0601172912cdfd2ab5382ec95375141">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYBACKSTATEREPORTER_STATE_NAMESPACE</a> = &quot;Alexa.PlaybackStateReporter&quot;</td></tr>
<tr class="separator:ab0601172912cdfd2ab5382ec95375141"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae99198b36b769c1ea3f625e4e6490d18"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ae99198b36b769c1ea3f625e4e6490d18">alexaClientSDK::capabilityAgents::externalMediaPlayer::EXTERNALMEDIAPLAYER_NAME</a> = &quot;ExternalMediaPlayerState&quot;</td></tr>
<tr class="separator:ae99198b36b769c1ea3f625e4e6490d18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a409f1aadff05daeaaa7f204e704f51ca"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a409f1aadff05daeaaa7f204e704f51ca">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYBACKSTATEREPORTER_NAME</a> = &quot;playbackState&quot;</td></tr>
<tr class="separator:a409f1aadff05daeaaa7f204e704f51ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabb6355c46ec63eba96816aeafe0f587"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aabb6355c46ec63eba96816aeafe0f587">alexaClientSDK::capabilityAgents::externalMediaPlayer::EXTERNALMEDIAPLAYER_NAMESPACE</a> = &quot;ExternalMediaPlayer&quot;</td></tr>
<tr class="separator:aabb6355c46ec63eba96816aeafe0f587"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4dbd0581900872445d5017caf31382c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#af4dbd0581900872445d5017caf31382c">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYBACKCONTROLLER_NAMESPACE</a> = &quot;Alexa.PlaybackController&quot;</td></tr>
<tr class="separator:af4dbd0581900872445d5017caf31382c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbea1de2cec32c3df89dc7ad10416ea1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#adbea1de2cec32c3df89dc7ad10416ea1">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYLISTCONTROLLER_NAMESPACE</a> = &quot;Alexa.PlaylistController&quot;</td></tr>
<tr class="separator:adbea1de2cec32c3df89dc7ad10416ea1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3f4724d31ff588f818a087ddc313c59"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#af3f4724d31ff588f818a087ddc313c59">alexaClientSDK::capabilityAgents::externalMediaPlayer::SEEKCONTROLLER_NAMESPACE</a> = &quot;Alexa.SeekController&quot;</td></tr>
<tr class="separator:af3f4724d31ff588f818a087ddc313c59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a382367357d4a5f1b070b1eec520a43e9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a382367357d4a5f1b070b1eec520a43e9">alexaClientSDK::capabilityAgents::externalMediaPlayer::FAVORITESCONTROLLER_NAMESPACE</a> = &quot;Alexa.FavoritesController&quot;</td></tr>
<tr class="separator:a382367357d4a5f1b070b1eec520a43e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba759c5a7044e2149219548f4b0bbcc8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aba759c5a7044e2149219548f4b0bbcc8">alexaClientSDK::capabilityAgents::externalMediaPlayer::ALEXA_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="memdesc:aba759c5a7044e2149219548f4b0bbcc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The AlexaInterface constant type.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aba759c5a7044e2149219548f4b0bbcc8">More...</a><br /></td></tr>
<tr class="separator:aba759c5a7044e2149219548f4b0bbcc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4743a2e1ed524810a8fd5ead8250b7cc"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a4743a2e1ed524810a8fd5ead8250b7cc">alexaClientSDK::capabilityAgents::externalMediaPlayer::EXTERNALMEDIAPLAYER_CAPABILITY_INTERFACE_TYPE</a> = ALEXA_INTERFACE_TYPE</td></tr>
<tr class="separator:a4743a2e1ed524810a8fd5ead8250b7cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb95188f3b0eb63be898dd3717f5558b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#afb95188f3b0eb63be898dd3717f5558b">alexaClientSDK::capabilityAgents::externalMediaPlayer::EXTERNALMEDIAPLAYER_CAPABILITY_INTERFACE_NAME</a> = &quot;ExternalMediaPlayer&quot;</td></tr>
<tr class="memdesc:afb95188f3b0eb63be898dd3717f5558b"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player.html">ExternalMediaPlayer</a> interface name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#afb95188f3b0eb63be898dd3717f5558b">More...</a><br /></td></tr>
<tr class="separator:afb95188f3b0eb63be898dd3717f5558b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a4590021d31c98af7a400797e5a6ed8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a4a4590021d31c98af7a400797e5a6ed8">alexaClientSDK::capabilityAgents::externalMediaPlayer::EXTERNALMEDIAPLAYER_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:a4a4590021d31c98af7a400797e5a6ed8"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player.html">ExternalMediaPlayer</a> interface version.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a4a4590021d31c98af7a400797e5a6ed8">More...</a><br /></td></tr>
<tr class="separator:a4a4590021d31c98af7a400797e5a6ed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab678aadb1d85b1bf3b603e454c060865"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ab678aadb1d85b1bf3b603e454c060865">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYBACKSTATEREPORTER_CAPABILITY_INTERFACE_NAME</a> = PLAYBACKSTATEREPORTER_STATE_NAMESPACE</td></tr>
<tr class="memdesc:ab678aadb1d85b1bf3b603e454c060865"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alexa.PlaybackStateReporter name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ab678aadb1d85b1bf3b603e454c060865">More...</a><br /></td></tr>
<tr class="separator:ab678aadb1d85b1bf3b603e454c060865"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac6c5ce42ea7bb731928f7dc64119f72"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aac6c5ce42ea7bb731928f7dc64119f72">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYBACKSTATEREPORTER_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:aac6c5ce42ea7bb731928f7dc64119f72"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alexa.PlaybackStateReporter version.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aac6c5ce42ea7bb731928f7dc64119f72">More...</a><br /></td></tr>
<tr class="separator:aac6c5ce42ea7bb731928f7dc64119f72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a911e9e9703dbde8be6c75dca5802927d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a911e9e9703dbde8be6c75dca5802927d">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYBACKCONTROLLER_CAPABILITY_INTERFACE_NAME</a> = PLAYBACKCONTROLLER_NAMESPACE</td></tr>
<tr class="memdesc:a911e9e9703dbde8be6c75dca5802927d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alexa.PlaybackController name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a911e9e9703dbde8be6c75dca5802927d">More...</a><br /></td></tr>
<tr class="separator:a911e9e9703dbde8be6c75dca5802927d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ae956b7d0b369e8e2ed86dcd7881f9b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a6ae956b7d0b369e8e2ed86dcd7881f9b">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYBACKCONTROLLER_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:a6ae956b7d0b369e8e2ed86dcd7881f9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alexa.PlaybackController version.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a6ae956b7d0b369e8e2ed86dcd7881f9b">More...</a><br /></td></tr>
<tr class="separator:a6ae956b7d0b369e8e2ed86dcd7881f9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed80484613958fb67442d8d076ab940d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aed80484613958fb67442d8d076ab940d">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYLISTCONTROLLER_CAPABILITY_INTERFACE_NAME</a> = PLAYLISTCONTROLLER_NAMESPACE</td></tr>
<tr class="memdesc:aed80484613958fb67442d8d076ab940d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alexa.PlaylistController name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aed80484613958fb67442d8d076ab940d">More...</a><br /></td></tr>
<tr class="separator:aed80484613958fb67442d8d076ab940d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8af4d2b48ea2abe0d4c81315b982e319"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a8af4d2b48ea2abe0d4c81315b982e319">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYLISTCONTROLLER_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:a8af4d2b48ea2abe0d4c81315b982e319"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alexa.PlaylistController version.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a8af4d2b48ea2abe0d4c81315b982e319">More...</a><br /></td></tr>
<tr class="separator:a8af4d2b48ea2abe0d4c81315b982e319"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5edd6f55dfa0545afcd8ad006305229"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ae5edd6f55dfa0545afcd8ad006305229">alexaClientSDK::capabilityAgents::externalMediaPlayer::SEEKCONTROLLER_CAPABILITY_INTERFACE_NAME</a> = SEEKCONTROLLER_NAMESPACE</td></tr>
<tr class="memdesc:ae5edd6f55dfa0545afcd8ad006305229"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alexa.SeekController name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ae5edd6f55dfa0545afcd8ad006305229">More...</a><br /></td></tr>
<tr class="separator:ae5edd6f55dfa0545afcd8ad006305229"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae05a4bfc7ee2a1cd69912e84d0e1de3a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ae05a4bfc7ee2a1cd69912e84d0e1de3a">alexaClientSDK::capabilityAgents::externalMediaPlayer::SEEKCONTROLLER_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:ae05a4bfc7ee2a1cd69912e84d0e1de3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alexa.SeekController version.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ae05a4bfc7ee2a1cd69912e84d0e1de3a">More...</a><br /></td></tr>
<tr class="separator:ae05a4bfc7ee2a1cd69912e84d0e1de3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63a4ef9d29b0e9d55b2bfff000e4334c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a63a4ef9d29b0e9d55b2bfff000e4334c">alexaClientSDK::capabilityAgents::externalMediaPlayer::FAVORITESCONTROLLER_CAPABILITY_INTERFACE_NAME</a> = FAVORITESCONTROLLER_NAMESPACE</td></tr>
<tr class="memdesc:a63a4ef9d29b0e9d55b2bfff000e4334c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alexa.FavoritesController name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a63a4ef9d29b0e9d55b2bfff000e4334c">More...</a><br /></td></tr>
<tr class="separator:a63a4ef9d29b0e9d55b2bfff000e4334c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a285050742926aa87fe57a9c3581ceb3a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a285050742926aa87fe57a9c3581ceb3a">alexaClientSDK::capabilityAgents::externalMediaPlayer::FAVORITESCONTROLLER_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:a285050742926aa87fe57a9c3581ceb3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alexa.FavoritesController version.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a285050742926aa87fe57a9c3581ceb3a">More...</a><br /></td></tr>
<tr class="separator:a285050742926aa87fe57a9c3581ceb3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9abffa1b4596c4b27b20cff968e12fc7"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a9abffa1b4596c4b27b20cff968e12fc7">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAY_DIRECTIVE</a> {EXTERNALMEDIAPLAYER_NAMESPACE, &quot;Play&quot;}</td></tr>
<tr class="separator:a9abffa1b4596c4b27b20cff968e12fc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aface1f346dabc4bb5af0bee8ebe71794"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aface1f346dabc4bb5af0bee8ebe71794">alexaClientSDK::capabilityAgents::externalMediaPlayer::LOGIN_DIRECTIVE</a> {EXTERNALMEDIAPLAYER_NAMESPACE, &quot;Login&quot;}</td></tr>
<tr class="separator:aface1f346dabc4bb5af0bee8ebe71794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add04cf636a9182dcd8a81ca20ed453ab"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#add04cf636a9182dcd8a81ca20ed453ab">alexaClientSDK::capabilityAgents::externalMediaPlayer::LOGOUT_DIRECTIVE</a> {EXTERNALMEDIAPLAYER_NAMESPACE, &quot;Logout&quot;}</td></tr>
<tr class="separator:add04cf636a9182dcd8a81ca20ed453ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37dd6d68e575fb208d1fb464038e31f6"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a37dd6d68e575fb208d1fb464038e31f6">alexaClientSDK::capabilityAgents::externalMediaPlayer::RESUME_DIRECTIVE</a> {PLAYBACKCONTROLLER_NAMESPACE, &quot;Play&quot;}</td></tr>
<tr class="separator:a37dd6d68e575fb208d1fb464038e31f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac50bff15e8655fb5a43eeca780697781"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ac50bff15e8655fb5a43eeca780697781">alexaClientSDK::capabilityAgents::externalMediaPlayer::PAUSE_DIRECTIVE</a> {PLAYBACKCONTROLLER_NAMESPACE, &quot;Pause&quot;}</td></tr>
<tr class="separator:ac50bff15e8655fb5a43eeca780697781"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a006686ad8c7eebcf6b239871df5603f0"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a006686ad8c7eebcf6b239871df5603f0">alexaClientSDK::capabilityAgents::externalMediaPlayer::STOP_DIRECTIVE</a> {PLAYBACKCONTROLLER_NAMESPACE, &quot;Stop&quot;}</td></tr>
<tr class="separator:a006686ad8c7eebcf6b239871df5603f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82991f4da51ea29693c157ee781bca79"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a82991f4da51ea29693c157ee781bca79">alexaClientSDK::capabilityAgents::externalMediaPlayer::NEXT_DIRECTIVE</a> {PLAYBACKCONTROLLER_NAMESPACE, &quot;Next&quot;}</td></tr>
<tr class="separator:a82991f4da51ea29693c157ee781bca79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac92f0d2874029bf2efbd5a52af4d2a1d"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ac92f0d2874029bf2efbd5a52af4d2a1d">alexaClientSDK::capabilityAgents::externalMediaPlayer::PREVIOUS_DIRECTIVE</a> {PLAYBACKCONTROLLER_NAMESPACE, &quot;Previous&quot;}</td></tr>
<tr class="separator:ac92f0d2874029bf2efbd5a52af4d2a1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaec8b712cc30c6291e3db148161d8945"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aaec8b712cc30c6291e3db148161d8945">alexaClientSDK::capabilityAgents::externalMediaPlayer::STARTOVER_DIRECTIVE</a> {PLAYBACKCONTROLLER_NAMESPACE, &quot;StartOver&quot;}</td></tr>
<tr class="separator:aaec8b712cc30c6291e3db148161d8945"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3b69c8317231fad9f8eafad727e76f2"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ab3b69c8317231fad9f8eafad727e76f2">alexaClientSDK::capabilityAgents::externalMediaPlayer::REWIND_DIRECTIVE</a> {PLAYBACKCONTROLLER_NAMESPACE, &quot;Rewind&quot;}</td></tr>
<tr class="separator:ab3b69c8317231fad9f8eafad727e76f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4b18de015d30ba92642ea80933bfcf3"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aa4b18de015d30ba92642ea80933bfcf3">alexaClientSDK::capabilityAgents::externalMediaPlayer::FASTFORWARD_DIRECTIVE</a> {PLAYBACKCONTROLLER_NAMESPACE, &quot;FastForward&quot;}</td></tr>
<tr class="separator:aa4b18de015d30ba92642ea80933bfcf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a83f123b1c1151e7a8e463969876b98"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a3a83f123b1c1151e7a8e463969876b98">alexaClientSDK::capabilityAgents::externalMediaPlayer::ENABLEREPEATONE_DIRECTIVE</a> {PLAYLISTCONTROLLER_NAMESPACE, &quot;EnableRepeatOne&quot;}</td></tr>
<tr class="separator:a3a83f123b1c1151e7a8e463969876b98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a102cb671c4f377ee1180751724825581"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a102cb671c4f377ee1180751724825581">alexaClientSDK::capabilityAgents::externalMediaPlayer::ENABLEREPEAT_DIRECTIVE</a> {PLAYLISTCONTROLLER_NAMESPACE, &quot;EnableRepeat&quot;}</td></tr>
<tr class="separator:a102cb671c4f377ee1180751724825581"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7749c6a42d090411317d185fac6b4b23"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a7749c6a42d090411317d185fac6b4b23">alexaClientSDK::capabilityAgents::externalMediaPlayer::DISABLEREPEAT_DIRECTIVE</a> {PLAYLISTCONTROLLER_NAMESPACE, &quot;DisableRepeat&quot;}</td></tr>
<tr class="separator:a7749c6a42d090411317d185fac6b4b23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c947482669368383b1579f108c20dc6"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a9c947482669368383b1579f108c20dc6">alexaClientSDK::capabilityAgents::externalMediaPlayer::ENABLESHUFFLE_DIRECTIVE</a> {PLAYLISTCONTROLLER_NAMESPACE, &quot;EnableShuffle&quot;}</td></tr>
<tr class="separator:a9c947482669368383b1579f108c20dc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a810c64ac70416cee00ea1b6edff5f1c9"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a810c64ac70416cee00ea1b6edff5f1c9">alexaClientSDK::capabilityAgents::externalMediaPlayer::DISABLESHUFFLE_DIRECTIVE</a> {PLAYLISTCONTROLLER_NAMESPACE, &quot;DisableShuffle&quot;}</td></tr>
<tr class="separator:a810c64ac70416cee00ea1b6edff5f1c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e71c2e037def0feb66f5eb42ab16f45"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a0e71c2e037def0feb66f5eb42ab16f45">alexaClientSDK::capabilityAgents::externalMediaPlayer::SEEK_DIRECTIVE</a> {SEEKCONTROLLER_NAMESPACE, &quot;SetSeekPosition&quot;}</td></tr>
<tr class="separator:a0e71c2e037def0feb66f5eb42ab16f45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fbdbca1930dc290ea92b8042cb372bb"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a6fbdbca1930dc290ea92b8042cb372bb">alexaClientSDK::capabilityAgents::externalMediaPlayer::ADJUSTSEEK_DIRECTIVE</a> {SEEKCONTROLLER_NAMESPACE, &quot;AdjustSeekPosition&quot;}</td></tr>
<tr class="separator:a6fbdbca1930dc290ea92b8042cb372bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e45f73b20791d3596723a31165d4d5b"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a1e45f73b20791d3596723a31165d4d5b">alexaClientSDK::capabilityAgents::externalMediaPlayer::FAVORITE_DIRECTIVE</a> {FAVORITESCONTROLLER_NAMESPACE, &quot;Favorite&quot;}</td></tr>
<tr class="separator:a1e45f73b20791d3596723a31165d4d5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bef5fa20ded38537181897b7f5867e3"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a6bef5fa20ded38537181897b7f5867e3">alexaClientSDK::capabilityAgents::externalMediaPlayer::UNFAVORITE_DIRECTIVE</a> {FAVORITESCONTROLLER_NAMESPACE, &quot;Unfavorite&quot;}</td></tr>
<tr class="separator:a6bef5fa20ded38537181897b7f5867e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a733a7df9af5740daa70e7e0adee9cca8"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a733a7df9af5740daa70e7e0adee9cca8">alexaClientSDK::capabilityAgents::externalMediaPlayer::SESSION_STATE</a> {EXTERNALMEDIAPLAYER_STATE_NAMESPACE, EXTERNALMEDIAPLAYER_NAME}</td></tr>
<tr class="separator:a733a7df9af5740daa70e7e0adee9cca8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa63edec82f2a3bf6517eb3628e40857e"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aa63edec82f2a3bf6517eb3628e40857e">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYBACK_STATE</a> {PLAYBACKSTATEREPORTER_STATE_NAMESPACE, PLAYBACKSTATEREPORTER_NAME}</td></tr>
<tr class="separator:aa63edec82f2a3bf6517eb3628e40857e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a405ceda984bb55fa454a858b0fde2f79"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a405ceda984bb55fa454a858b0fde2f79">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYERS</a> [] = &quot;players&quot;</td></tr>
<tr class="memdesc:a405ceda984bb55fa454a858b0fde2f79"><td class="mdescLeft">&#160;</td><td class="mdescRight">The const char for the players key field in the context.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a405ceda984bb55fa454a858b0fde2f79">More...</a><br /></td></tr>
<tr class="separator:a405ceda984bb55fa454a858b0fde2f79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab55f448113e6255f898a74119822122e"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ab55f448113e6255f898a74119822122e">alexaClientSDK::capabilityAgents::externalMediaPlayer::PLAYER_IN_FOCUS</a> [] = &quot;playerInFocus&quot;</td></tr>
<tr class="memdesc:ab55f448113e6255f898a74119822122e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The const char for the playerInFocus key field in the context.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ab55f448113e6255f898a74119822122e">More...</a><br /></td></tr>
<tr class="separator:ab55f448113e6255f898a74119822122e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f5f686f5c5d32a7cf416138ceb4612a"><td class="memItemLeft" align="right" valign="top">static const int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a3f5f686f5c5d32a7cf416138ceb4612a">alexaClientSDK::capabilityAgents::externalMediaPlayer::MAX_PAST_OFFSET</a> = -86400000</td></tr>
<tr class="memdesc:a3f5f686f5c5d32a7cf416138ceb4612a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The max relative time in the past that we can seek to in milliseconds(-12hours in ms).  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a3f5f686f5c5d32a7cf416138ceb4612a">More...</a><br /></td></tr>
<tr class="separator:a3f5f686f5c5d32a7cf416138ceb4612a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac96b762831dbecbea931c3a7ab099c14"><td class="memItemLeft" align="right" valign="top">static const int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ac96b762831dbecbea931c3a7ab099c14">alexaClientSDK::capabilityAgents::externalMediaPlayer::MAX_FUTURE_OFFSET</a> = 86400000</td></tr>
<tr class="memdesc:ac96b762831dbecbea931c3a7ab099c14"><td class="mdescLeft">&#160;</td><td class="mdescRight">The max relative time in the past that we can seek to in milliseconds(+12 hours in ms).  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ac96b762831dbecbea931c3a7ab099c14">More...</a><br /></td></tr>
<tr class="separator:ac96b762831dbecbea931c3a7ab099c14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af221f4c02d720484a9b780bb9084bd73"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#af221f4c02d720484a9b780bb9084bd73">alexaClientSDK::capabilityAgents::externalMediaPlayer::audioNonBlockingPolicy</a> = BlockingPolicy(BlockingPolicy::MEDIUM_AUDIO, false)</td></tr>
<tr class="separator:af221f4c02d720484a9b780bb9084bd73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a9a237b6ba8b1fa20702143797a2e5b"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a1a9a237b6ba8b1fa20702143797a2e5b">alexaClientSDK::capabilityAgents::externalMediaPlayer::neitherNonBlockingPolicy</a> = BlockingPolicy(BlockingPolicy::MEDIUMS_NONE, false)</td></tr>
<tr class="separator:a1a9a237b6ba8b1fa20702143797a2e5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a0b5fa489671c4cbeb0f615c2dda721"><td class="memItemLeft" align="right" valign="top">static DirectiveHandlerConfiguration&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a8a0b5fa489671c4cbeb0f615c2dda721">alexaClientSDK::capabilityAgents::externalMediaPlayer::g_configuration</a></td></tr>
<tr class="separator:a8a0b5fa489671c4cbeb0f615c2dda721"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e486d9b26de8bf99983c2f8b2739485"><td class="memItemLeft" align="right" valign="top">static std::unordered_map&lt; PlaybackButton, RequestType &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a8e486d9b26de8bf99983c2f8b2739485">alexaClientSDK::capabilityAgents::externalMediaPlayer::g_buttonToRequestType</a></td></tr>
<tr class="separator:a8e486d9b26de8bf99983c2f8b2739485"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecd74a8dedc0eddf26e8aebcdc324129"><td class="memItemLeft" align="right" valign="top">static std::unordered_map&lt; PlaybackToggle, std::pair&lt; RequestType, RequestType &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aecd74a8dedc0eddf26e8aebcdc324129">alexaClientSDK::capabilityAgents::externalMediaPlayer::g_toggleToRequestType</a></td></tr>
<tr class="separator:aecd74a8dedc0eddf26e8aebcdc324129"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
